// src/next/tags.ts
var RIVERBANK_GLOBAL_TAG = "riverbank";
function getSiteTags() {
  return [RIVERBANK_GLOBAL_TAG, "riverbank:site"];
}
function getPageTags(pageId) {
  const out = [RIVERBANK_GLOBAL_TAG, "riverbank:pages"];
  if (pageId) out.push(`riverbank:page:${pageId}`);
  return out;
}
function getEntryTags(contentTypeSlug, entryId) {
  const out = [RIVERBANK_GLOBAL_TAG, `riverbank:content-type:${contentTypeSlug}`];
  if (entryId) out.push(`riverbank:entry:${entryId}`);
  return out;
}
function getNavigationTags(menuKey) {
  const out = [RIVERBANK_GLOBAL_TAG, "riverbank:navigation"];
  if (menuKey) out.push(`riverbank:navigation:${menuKey}`);
  return out;
}
export {
  RIVERBANK_GLOBAL_TAG,
  getEntryTags,
  getNavigationTags,
  getPageTags,
  getSiteTags
};
